Subject: Re: [PATCH v5] gnu: gnunet: Update to 0.16.3.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 04 Apr 2022 09:05:19 -0400

Hi Tanguy,

Tanguy LE CARROUR <[email-masked]> writes:

> Hi Maxim,
>
>
> Quoting Maxim Cournoyer (2022-04-04 04:32:25)
>> Tanguy LE CARROUR <[email-masked]> writes:
>> > Quoting Ludovic Courtès (2022-04-01 18:02:08)
>> >> Tanguy Le Carrour <[email-masked]> skribis:
>> >> 
>> >> > * gnu/packages/gnunet.scm (gnunet): Update to 0.16.3.
>> >> > [arguments]: Enable all the tests that were disabled.
>> >> > [inputs]: Use new style. [native-inputs]: Add openssl.
>> >> > [home-page]: Update URL.
>> >> 
>> >> Woohoo!  Applied, thanks!
>> >
>> > Thanks!
>> >
>> > Now, I "just" have to make sure that it works as expected! ^_^'
>> 
>> That's usually something we do *before* sending patches, but if given
>> the test suite passes without disabling much (anything?) anymore, I'm
>> confident it will :-).
>
> You're right! :-)
> Actually, I tested it before sending the patch.
> But by "tested", I mean I only started the node and ran `gnunet-core`
> to see if it was connected.
>
> When I wrote "make sure that it works" I meant running another node, defining
> records in GNS, resolving it from the other node, using the VPN,
> trying re:claimID…

I see, thanks for explaining :-).

>> > I might also try to make it build from source instead of
>> > relying on the release archive!?
>> 
>> I usually prefer the release archive when it exists and is signed by the
>> project's maintainer PGP key (which I believe must be the case here,
>> given it's part of the GNU project).
>
> +1!
>
> I tried to build from source, but found out that the bootstrap phase was
> cloning another repo (gana) and copying files over. :-(

Oh!  So these source files are probably in the tarball.  If gana is a
3rd party project we could add as a TODO to un-bundle it (there's no
'gana' package in Guix as of now).

Thank you,

Maxim